using System;

struct Tezina
{
    public int donjaGranica;
    public int gornjaGranica;
}

class Program
{
    public static void ucitajTezine(Tezina[] tezine, int n)
    {
        for (int i = 0; i < n; i++)
        {
            var s = Console.ReadLine().Split();

            tezine[i].donjaGranica = int.Parse(s[0]);
            tezine[i].gornjaGranica = int.Parse(s[1]);
        }      
    }

    static void Main()
    {
        var s = Console.ReadLine().Split();

        int n = int.Parse(s[0]);
        int m = int.Parse(s[1]);

        Tezina[] tezine = new Tezina[n];

        ucitajTezine(tezine, n);
        
        for (int i = 0; i < m; i++)
        {
            int brojac = 0;
            s = Console.ReadLine().Split();

            int donjaGranica = int.Parse(s[0]) - 1;
            int gornjaGranica = int.Parse(s[1]) - 1;
            int tezina = int.Parse(s[2]);

            for (int j = donjaGranica; j <= gornjaGranica; j++)
            {
                if (tezina >= tezine[j].donjaGranica && tezina <= tezine[j].gornjaGranica)
                {
                    brojac++;
                }
            }

            Console.WriteLine(brojac);
        }
    }
}

// Ovom kodu je doprineo Milos